package net.gicm.methodes.pmd.rules;

import java.util.Date;

import net.sourceforge.pmd.AbstractJavaRule;
import net.sourceforge.pmd.RuleContext;
import net.sourceforge.pmd.ast.ASTClassOrInterfaceBody;

public class HelloWorldRule extends AbstractJavaRule {
	@Override
	public void start(net.sourceforge.pmd.RuleContext ctx) {
		super.start(ctx);
		System.out.println("HelloWorldRule start" + new Date());
	}
	
	@Override
	public void end(RuleContext ctx) {
		super.end(ctx);
		System.out.println("HelloWorldRule end" + new Date());
	}
	
	@Override
	public Object visit(ASTClassOrInterfaceBody node, Object data) {
		System.out.println("HelloWorldRule visit" + new Date());
		return super.visit(node, data);
	}
}
